* {
  padding: 0;
  margin: 0;
}

h1 {
  font-size: large;
}

html,
body {
  margin: 0;
  width: 100%;
  height: 100%;
  display: grid;
  place-items: center;
  background: #111;
  color: #eee;
  font-family: Arial, sans-serif;
  overflow: hidden;
}

#stage {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}

#viewer {
  width: 100%;
  height: 100%;
  object-fit: contain;
  display: block;
}

.col {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 16px;
}

#id-buttons {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
}

h2,
h3 {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 20px;
  gap: 8px;
}

input,
button {
  padding: 10px 14px;
  border: 1px solid #444;
  border-radius: 10px;
  background: #222;
  color: #eee;
  font-size: 16px;
  min-width: 160px;
  min-height: 30px;
  box-sizing: content-box;
}

button {
  cursor: pointer;
}

button:hover {
  background: #333;
}
